LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05979Bug reports[All Projects] Survey takingpublic2012-04-03 03:452012-04-05 19:16
ReporterTMSWhite 
Assigned ToTMSWhite 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.92+ 
Target VersionFixed in Version1.92+ 
Summary05979: values prefilled via URL are not passed through to end URL
DescriptionI set up 2 test surveys on the demo site and was able to reproduce the problem. I left the prefill question non-hidden so you can see the prefill is working. But the survey id is not coming out in the end URL. I did add the language parameter this time just to see if it made a difference, but it didn't Try it out.

ABC Survey 1: sid = 66892
ABC Survey 2: sid = 64971

Link to start ABC Survey 1:
demo.limesurvey.org/index.php?sid=66892&...66892X230X1453=64971

END URL (should go to ABC Survey 2):
demo.limesurvey.org/index.php?sid={INSERTANS:66892X230X1453}&lang=en
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID120325
Browser
Database & DB-VersionMysql 5.3
Operating System (Server)Windows XP
Webserver software & versionXAMPP
PHP Version5.3
Attached Files

- Relationships

-  Notes
User avatar (18176)
TMSWhite (reporter)
2012-04-03 03:46

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8072 [^]
User avatar (18184)
TMSWhite (reporter)
2012-04-04 04:27

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8080 [^]
User avatar (18233)
c_schmitz (administrator)
2012-04-05 19:16

New 1.92+ version released.

- Related Changesets
LimeSurvey: master f5bc2064
Timestamp: 2012-04-02 18:48:30
Author: TMSWhite
Committer: Thomas White
Details ] Diff ]
Fixed issue 05979: values prefilled via URL are not passed through to end URL
Dev also syntax highlighted end URL so can see if it contains typos
mod - admin/html.php Diff ] File ]
mod - group.php Diff ] File ]
LimeSurvey: Yii d565f050
Timestamp: 2012-04-03 19:05:15
Author: TMSWhite
Committer: Thomas White
Details ] Diff ]
Fixed issue 05979: values prefilled via URL are not passed through to end URL
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]
LimeSurvey: Yii 65cdd514
Timestamp: 2012-04-03 19:11:21
Author: TMSWhite
Committer: Thomas White
Details ] Diff ]
Fixed issue 05979: values prefilled via URL are not passed through to end URLFixed issue 05981: EM attributes that should be static generate <span> elements
mod - application/helpers/expressions/em_core_helper.php Diff ] File ]
mod - application/helpers/expressions/em_manager_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-04-03 03:45 TMSWhite New Issue
2012-04-03 03:46 TMSWhite Changeset attached => LimeSurvey master f5bc2064
2012-04-03 03:46 TMSWhite Note Added: 18176
2012-04-03 03:46 TMSWhite Assigned To => TMSWhite
2012-04-03 03:46 TMSWhite Resolution open => fixed
2012-04-03 03:48 TMSWhite Status new => resolved
2012-04-03 03:48 TMSWhite Fixed in Version => 1.92+
2012-04-04 04:27 TMSWhite Changeset attached => LimeSurvey Yii d565f050
2012-04-04 04:27 TMSWhite Changeset attached => LimeSurvey Yii 65cdd514
2012-04-04 04:27 TMSWhite Note Added: 18184
2012-04-05 19:16 c_schmitz Note Added: 18233
2012-04-05 19:16 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker